Page MenuHomePhabricator

Goal: Best practices of collaboration between product development teams and communities agreed and ready for adoption
Closed, ResolvedPublic

Description

Here we organize the work required to implement the Technical-Collaboration-Guidance tasks supporting Wikimedia Foundation Annual Plan FY2017-18 - Community Engagement - Program 11 Community collaboration in product development (some parts not related to the TCG have been removed):

Goal
The goal is to increase the awareness and participation of Wikimedia communities in our product development projects. A higher quantity and diversity of participation through our planning and development process will result in a better common understanding, a better collaboration, and better products.
A requirement to achieve this goal is to offer to our communities a simple and predictable way to stay informed about and to participate in our product development projects. For this, our current reliance on CL support will be increasingly complemented by harmonization of community engagement practices across Product and Technology teams.
This shift will be based in these principles:

  • CLs will continue to be regularly involved in product planning, having resident specialists appointed to the different areas.
  • CLs will be directly involved in the most complex goals and tasks, as agreed on a regular basis with Product and Technology product owners.
  • All projects will take the TCG as a set of base recommendations to be adapted to their specific needs and circumstance

Outcomes

  • Outcome 2: CL support scales better across Product and Technology, also in projects without CLs directly assigned, and by having information necessary to successfully do basic community outreach all Product and Technology teams will more easily be able to update communities directly on lightweight communications that do not require CL intervention.
  • Outcome 3: TCG is adopted by Foundation teams, communities, affiliates and third parties' technical contributors;
    • Projects can run their basic community engagement activities with TCG and related docs

Objectives

  • Objective 1: Support P&T teams in their path of adoption of TCG best practices (based on needs, via advice, or coaching, or a more stable embedding) and with current, ongoing projects;
    • Start applying current TCG draft systematically to new projects.
  • Objective 3:
    • Improve and finalize TCG based on P&T and community feedback (T176274);
    • compile documentation (or create additional one) as a supplement to TCG, for teams that need or want practical, structured how-tos;
    • compile and share list of adoption use cases, successes and misses.

Diving into this works requires the completion of T144625: First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers.

Event Timeline

Qgil created this task.Sep 22 2017, 9:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2017, 9:51 AM
Qgil reassigned this task from Keegan to Elitre.Dec 19 2017, 10:41 AM
Qgil added a subscriber: Keegan.

This needs to be moved to Apr-Jun, no?

Qgil added a comment.Jan 2 2018, 7:31 PM

As you see fit.

Qgil raised the priority of this task from Medium to High.Jan 9 2018, 2:39 PM
Qgil moved this task from Oct-Dec 2017 to Jan-Mar-2018 on the Community-Relations-Support board.
Elitre lowered the priority of this task from High to Medium.Jan 9 2018, 5:18 PM
Elitre moved this task from Jan-Mar-2018 to Apr-Jun-2018 on the Community-Relations-Support board.
Quiddity lowered the priority of this task from Medium to Low.Sep 11 2018, 8:39 PM
Quiddity raised the priority of this task from Low to Medium.Sep 20 2018, 6:48 PM
Elitre changed the task status from Open to Stalled.Sep 26 2018, 6:54 PM

A new set of documents, the Wikimedia Product Guidance, is the result of work between CommRel and Audiences, and is making its way on mw.org.

Elitre closed this task as Resolved.Mar 29 2019, 3:54 PM
Qgil moved this task from Backlog to Started on the CommRel-Documentation board.Apr 1 2019, 7:25 AM
Qgil awarded a token.